#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define module	zope.deferredimport
Summary:	Defer Python module import
Summary(pl.UTF-8):	Opóźnianie importu modułów Pythona
Name:		python3-%{module}
Version:	5.0
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.deferredimport/zope.deferredimport-%{version}.tar.gz
# Source0-md5:	148e4b0fe10b10a40b2abc5b7071c86c
Patch0:		sphinx.patch
URL:		https://www.zope.dev/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.proxy
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Defer Python module import.

%description -l pl.UTF-8
Opóźnianie importu modułów Pythona.

%package apidocs
Summary:	API documentation for Python zope.deferredimport module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.deferredimport
Group:		Documentation

%description apidocs
API documentation for Python zope.deferredimport module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.deferredimport.

%prep
%setup -q -n %{module}-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src -v
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/deferredimport/tests.*
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/deferredimport/__pycache__/tests.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/deferredimport
%{py3_sitescriptdir}/zope.deferredimport-*.egg-info
%{py3_sitescriptdir}/zope.deferredimport-*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_sources,_static,*.html,*.js}
%endif
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.deferredimport.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 2105c37
- python-zope.deferredimport.spec updated to 5.0 for python 3.7+

* Tue Apr 29 2025 Jan Rękorajski <baggins@pld-linux.org> cc0cd55
- fix sphinx config syntax, rel 7

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ff82fa9
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a9f6f73
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 2ab98fa
- added python2 note

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> eae00de
- Release 4 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 21a1d32
- updated apidoc files

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> feaa54a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> fd45386
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 42f8689
- package base docs

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 8c5fde4
- updated to 4.4, added python3 module and apidocs

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> ca41718
- noarch package
- rel 3

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 8b3d71b
- disable debug packages; rel 2

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 99daff2
- Zope-DeferredImport renamed to python-zope.deferredimport

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8b6236f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 48e7374
- automatic change: use py_build/py_install macros

* Mon Jun 06 2011 marti <marti@pld-linux.org> 723e518
- up to 3.5.3

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7215961
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb267f8
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> d4a2807
- updated to 3.5.0

